summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Aleksandar Samardzic <asamardzic@matf.bg.ac.yu>2010-05-11 20:00:58 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:58 +0200
commit9613402a98a1b0c9f324a2bc58ea2792b201d5d0 (patch)
tree6f11d9ff6cc7e216e912143b0ab41502bdcb612b /libraries
parent705d15ea3b46242ec5e851829e7db4cbf76ad099 (diff)
downloadslackbuilds-9613402a98a1b0c9f324a2bc58ea2792b201d5d0.tar.gz
slackbuilds-9613402a98a1b0c9f324a2bc58ea2792b201d5d0.tar.xz
libraries/osggis: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/osggis/README10
-rw-r--r--libraries/osggis/osggis.SlackBuild55
-rw-r--r--libraries/osggis/osggis.info8
-rw-r--r--libraries/osggis/slack-desc19
4 files changed, 92 insertions, 0 deletions
diff --git a/libraries/osggis/README b/libraries/osggis/README
new file mode 100644
index 0000000000..b0a61b401f
--- /dev/null
+++ b/libraries/osggis/README
@@ -0,0 +1,10 @@
+osgGIS a software package that enables you to access GIS vector data
+and visualize it in an OpenSceneGraph application. With osgGIS, you
+could:
+ * Read vector data from a variety of sources and generate OSG
+ geometry
+ * Create custom geometry compilation scripts by using built-in
+ filters or by building your own custom filters
+ * Create scalable, paged data layers from GIS vector data
+
+osgGIS is dependent upon OpenSceneGraph and gdal packages.
diff --git a/libraries/osggis/osggis.SlackBuild b/libraries/osggis/osggis.SlackBuild
new file mode 100644
index 0000000000..8618390f8f
--- /dev/null
+++ b/libraries/osggis/osggis.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for osgGIS
+
+# Written by Aleksandar B. Samardzic <asamardzic@matf.bg.ac.yu>
+
+PRGNAM=osggis
+VERSION=T2007-10-12_V0.1.0.r41
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PKG_VERSION=$(echo $VERSION | tr - _)
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+cmake -DCMAKE_INSTALL_PREFIX=/usr .
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$PKG_VERSION
+cp -a LICENSE.txt README.txt $PKG/usr/doc/$PRGNAM-$PKG_VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$PKG_VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKG_VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/osggis/osggis.info b/libraries/osggis/osggis.info
new file mode 100644
index 0000000000..235dfaa35f
--- /dev/null
+++ b/libraries/osggis/osggis.info
@@ -0,0 +1,8 @@
+PRGNAM="osggis"
+VERSION="T2007_10_12_V0.1.0.r41"
+HOMEPAGE="http://www.osggis.org/"
+DOWNLOAD="http://wush.net/websvn/osggis/dl.php?repname=osggis&path=%2Ftags%2FT2007-10-12_V0.1.0%2F&rev=0&isdir=1"
+MD5SUM="94745a485e8573b0d195df69fab08db1"
+MAINTAINER="Aleksandar B. Samardzic"
+EMAIL="asamardzic@matf.bg.ac.yu"
+APPROVED="rworkman"
diff --git a/libraries/osggis/slack-desc b/libraries/osggis/slack-desc
new file mode 100644
index 0000000000..816229078c
--- /dev/null
+++ b/libraries/osggis/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+osggis: osgGIS (GIS integration library for OpenSceneGraph)
+osggis:
+osggis: The osgGIS project aims to make it easier to access,
+osggis: visualize, and query GIS vector data in OpenSceneGraph
+osggis: applications.
+osggis:
+osggis: osgGIS homepage is:
+osggis: http://www.osggis.org/
+osggis:
+osggis:
+osggis: